Subject: Re: [PATCH v2 0/4] In PS1 prompt, make upstream state indicators consistent with other state indicators

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 22 Mar 2022 13:25:35 +0100

On Sun, Feb 27 2022, Justin Donnelly via GitGitGadget wrote:

> These patches are about the characters and words that can be configured to
> display in the PS1 prompt after the branch name. I've been unable to find a
> consistent terminology. I refer to them as follows: [short | long] [type]
> state indicator where short is for characters (e.g. ?), long is for words
> (e.g. |SPARSE), and type is the type of indicator (e.g. sparse or upstream).
> I'd be happy to change the commit messages to a different terminology if
> that's preferred.
>
> There are a few inconsistencies with the PS1 prompt upstream state indicator
> (GIT_PS1_SHOWUPSTREAM).
>
>  * With GIT_PS1_SHOWUPSTREAM="auto", if there are no other short state
>    indicators (e.g. + for staged changes, $ for stashed changes, etc.), the
>    upstream state indicator appears adjacent to the branch name (e.g.
>    (main=)) instead of being separated by SP or GIT_PS1_STATESEPARATOR (e.g.
>    (main =)).
>  * If there are long state indicators (e.g. |SPARSE), a short upstream state
>    indicator (i.e. GIT_PS1_SHOWUPSTREAM="auto") is to the right of the long
>    state indicator (e.g. (main +|SPARSE=)) instead of with the other short
>    state indicators (e.g. (main +=|SPARSE)).
>  * The long upstream state indicator (e.g. GIT_PS1_SHOWUPSTREAM="verbose")
>    is separated from other (short or long) state indicators by a hard-coded
>    SP. Other long state indicators are separated by a hard-coded pipe (|).
>
> These patches are to make the upstream state indicators more consistent with
> other state indicators.
>
> ----------------------------------------------------------------------------
>
> Changes since v1:
>
>  * Added __git_ps1 examples and before/after tables to commit messages where
>    applicable. This should make it clearer what the behavior is for other
>    (not upstream) state indicators, and how the patches make the upstream
>    state indicator more consistent.
>  * Removed some extraneous information about long state indicators from
>    patch 2 commit message. This wasn't really helpful, and was a
>    distraction.

Since this was all in reponse to my review: I've looked this over again
and this all LGTM now:

Reviewed-by: Ævar Arnfjörð Bjarmason <[email-masked]>